<template>
    <div>
        <div class="row forgive-page">

            <h3 class="main-header">Мой займ</h3>
            <div v-if="$store.getters.getStatus === 'ok'" class="row">
                <div class="row status-block">
                    <div class="columns four loan-sum" style="white-space: nowrap">
                        Сумма общей задолженности
                        <span>{{ totalSum|currency }} ₽</span>
                    </div>
                    <div class="columns eight right">
                        <span class="status" :class="$pdl.class">{{$pdl.statusText}}</span>
                        <button @click="$modal.show('docs-list', {creditId: $pdl.id})" class="documents">Документы
                        </button>
                    </div>
                </div>
                <!--CONTENT BLOCK 1-->
                <MainBlock/>
                <!--CONTENT BLOCK 2-->
                <HowIstWorkBlock/>
            </div>
        </div>
        <docs-list/>
    </div>
</template>

<script>
    import {LOANS_UPDATE_CURRENT_PDL} from '@/store/mutation-types'
    import ErrorHandleMixin from '@/mixins/ErrorHandleMixin'
    import GetValidateClass from '@/mixins/Validation/GetValidateClassMixin'
    import RangeSlider from '@/components/RangeSlider'
    import DocsList from '@/components/Modals/DocsList'

    import MainBlock from './MainBlock'
    import HowIstWorkBlock from './HowIstWorkBlock'

    export default {
        name: 'Forgiveness',

        provide: {
          ActiveLoan: this
        },

        mixins: [
            ErrorHandleMixin,
            GetValidateClass,
        ],

        components: {
            RangeSlider,
            DocsList,
            MainBlock,
            HowIstWorkBlock,
        },

          mounted () {
              this.$nextTick(() => {
                this.$helpers.scroll(this.$root.$el, 'forgv animation start').then(() => {
                  console.log('forgv animation end')
                });
              })
          },
          computed: {
              totalSum() {
                if (this.$pdl.supplementary.amnesty2019) {
                    if (this.$pdl.supplementary.amnesty2019.status < 3) {
                        return this.$pdl.supplementary.amnesty2019.totalSum;
                    } else {
                        return this.$pdl.sumTotal;
                    }
                } else {
                    return this.$pdl.sumTotal;
                }
              }
          },
      created () {
          this.$store.commit('SET_PAYMENT', {
            type: 'AMNESTY_2019',
            amount: parseFloat(this.totalSum / 2).toFixed(2)
          })
      },
        methods: {
            async repayLoan() {
                this.$store.commit('BUTTON_LOADING', true);
                this.$backend.postData('supplementary/amnesty-2019/create')
                    .then(async (response) => {
                        console.log('response:', response);
                        this.$toastr.success(/*'Договор подписан. Дождитесь СМС о переводе.'*/'Доп.соглашение успешно создано. ', 'Успешно');
                    })
                    .catch((e) => {
                        this.$toastr.error('Ошибка', 'Ошибка');
                        // console.warn(e);
                        // errorProlongation(e.errors[0].code, this.$store)
                    })
                    .finally(() => {
                        this.$store.commit('BUTTON_LOADING', false);
                    });
            },

            showOfficialInfo () {
                this.officialInfoShow = !this.officialInfoShow
                if (this.officialInfoShow === false) {
                    this.arrow = 'static/img/loan/modal-down.png'
                } else {
                    this.arrow = 'static/img/loan/modal-up.png'
                }
            },
        }
    }
</script>

<style scoped lang="scss">

</style>

<style lang="scss" module>

</style>